Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class Alphabet

    java.lang.Object
      de.jstacs.data.Alphabet

All Implemented Interfaces:
  InstantiableFromParameterSet, Storable, Comparable<Alphabet>

Direct Known Subclasses:
  ContinuousAlphabet, DiscreteAlphabet

    public abstract class Alphabet

extends Object
implements Storable, InstantiableFromParameterSet, Comparable<Alphabet>

Class for a set of symbols, i.e. an `Alphabet`. All `Alphabet`s are immutable.

Author:
  Jens Keilwagen

Nested Class Summary
`static class` | `Alphabet.AlphabetParameterSet` The super class for the `InstanceParameterSet` of any `Alphabet`.

Constructor Summary
`Alphabet()`

Method Summary
`boolean` | `checkConsistency(Alphabet a)` Checks if this `Alphabet` is consistent consistent with another `Alphabet`, i.e. both `Alphabet`s use the same symbols.
`abstract double` | `getMin()` Returns the minimal value of the`Alphabet`.
`abstract double` | `length()` Returns the length of the `Alphabet`.
`abstract String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jstacs.Storable
`toXML`

Methods inherited from interface de.jstacs.InstantiableFromParameterSet
`getCurrentParameterSet`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### Alphabet

    public Alphabet()

Method Detail

### checkConsistency

    public final boolean checkConsistency(Alphabet a)

  Checks if this `Alphabet` is consistent consistent with another `Alphabet`, i.e. both `Alphabet`s use the same symbols.

  Parameters:
    `a` - the second `Alphabet`
  Returns:
    `true` if the `Alphabet`s are consistent, `false` otherwise
  See Also:
    `Comparable.compareTo(Object)`

### getMin

    public abstract double getMin()

  Returns the minimal value of the`Alphabet`.

  Returns:
    the minimal value of the `Alphabet`

### length

    public abstract double length()

  Returns the length of the `Alphabet`.

  Returns:
    the length of the `Alphabet`

### toString

    public abstract String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD